Bug 1658976 - [Backup restore API] restore VM (created from template with thin copy) from OVF data fails - ImportVmFromConfigurationCommand fails with Error during ValidateFailure.: java.lang.NullPointerException
Summary: [Backup restore API] restore VM (created from template with thin copy) from O...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.3.1
: ---
Assignee: shani
QA Contact: Avihai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 10:10 UTC by Avihai
Modified: 2019-03-01 10:17 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.3.1.1
Doc Type: Bug Fix
Doc Text:
This bug fix sets the template ID properly to address a null pointer exception during the import of a thin-provisioned VM disk from an Open Virtualization Framework configuration file.
Clone Of:
Environment:
Last Closed: 2019-03-01 10:17:47 UTC
oVirt Team: Storage
rule-engine: ovirt-4.2+
rule-engine: ovirt-4.3+
rule-engine: blocker+


Attachments (Terms of Use)
engine log, art log(REST requests/response), rpm -qa content (1.05 MB, application/gzip)
2018-12-13 10:10 UTC, Avihai
no flags Details
4.2.8-0.1 reproduction logs (389.40 KB, application/gzip)
2018-12-18 07:26 UTC, Avihai
no flags Details
new art log with latest reproduction REST request and response (6.25 MB, text/plain)
2018-12-26 15:51 UTC, Avihai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 97013 0 master MERGED restapi: Set the template id to Guid.Empty() 2019-02-03 12:07:39 UTC

Description Avihai 2018-12-13 10:10:57 UTC
Created attachment 1513974 [details]
engine log, art log(REST requests/response), rpm -qa content

Description of problem:
Restoring VM from OVF vi RESTAPI ImportVmFromConfigurationCommand fails with Error during ValidateFailure.: java.lang.NullPointerException.

Engine log:
2018-12-12 18:20:15,038 - MainThread - vms - INFO - Using Correlation-Id: vms_create_295dd716-2019-41f5
2018-12-12 18:20:16,338 - MainThread - vms - DEBUG - Cleaning Correlation-Id: vms_create_295dd716-2019-41f5
2018-12-12 18:20:16,338 - MainThread - api_utils - ERROR - Failed to create element NOT as expected:
        Status: 500
        Reason: Internal Server Error
        Detail: [General command validation failure.]

2018-12-12 18:20:16,339 - MainThread - vms - ERROR - Response code is not valid, expected is: [200, 201, 202], actual is: 500 


2018-12-12 18:20:16,118+02 INFO  [org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand] (default task-177) [vms_create_295dd716-2019-41f5] Lock Acquired to object 'EngineLock:{exclusiveLocks='
[5decaed2-549e-48c6-9938-305a11e7a0c7=VM, vm_TestCase24989_1218085491=VM_NAME]', sharedLocks='[5decaed2-549e-48c6-9938-305a11e7a0c7=REMOTE_VM]'}'
2018-12-12 18:20:16,260+02 ERROR [org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand] (default task-177) [] Error during ValidateFailure.: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.exportimport.ImportVmCommand.validateAfterCloneVm(ImportVmCommand.java:634) [bll.jar:]
        at org.ovirt.engine.core.bll.exportimport.ImportVmCommand.validate(ImportVmCommand.java:253) [bll.jar:]
        at org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand.validate(ImportVmFromConfigurationCommand.java:108) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.internalValidate(CommandBase.java:791) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:405) [bll.jar:]
        at org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:450) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:432) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:387) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor194.invoke(Unknown Source) [:1.8.0_191]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_191]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_191]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:509)
        at org.jboss.as.weld.ejb.DelegatingInterceptorInvocationContext.proceed(DelegatingInterceptorInvocationContext.java:92) [wildfly-weld-ejb-14.0.1.Final.jar:14.0.1.Final]
        at org.jboss.weld.interceptor.proxy.WeldInvocationContextImpl.interceptorChainCompleted(WeldInvocationContextImpl.java:107) [weld-core-impl-3.0.5.Final.jar:3.0.5.Final]
        at org.jboss.weld.interceptor.proxy.WeldInvocationContextImpl.proceed(WeldInvocationContextImpl.java:126) [weld-core-impl-3.0.5.Final.jar:3.0.5.Final]
        at org.ovirt.engine.core.common.di.interceptor.LoggingInterceptor.apply(LoggingInterceptor.java:12) [common.jar:]
        at sun.reflect.GeneratedMethodAccessor55.invoke(Unknown Source) [:1.8.0_191]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_191]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_191]
        at org.jboss.weld.interceptor.reader.SimpleInterceptorInvocation$SimpleMethodInvocation.invoke(SimpleInterceptorInvocation.java:73) [weld-core-impl-3.0.5.Final.jar:3.0.5.Final]
        at org.jboss.weld.interceptor.proxy.WeldInvocationContextImpl.invokeNext(WeldInvocationContextImpl.java:92) [weld-core-impl-3.0.5.Final.jar:3.0.5.Final]
        at org.jboss.weld.interceptor.proxy.WeldInvocationContextImpl.proceed(WeldInvocationContextImpl.java:124) [weld-core-impl-3.0.5.Final.jar:3.0.5.Final]
        at org.jboss.weld.bean.InterceptorImpl.intercept(InterceptorImpl.java:105) [weld-core-impl-3.0.5.Final.jar:3.0.5.Final]
        at org.jboss.as.weld.ejb.DelegatingInterceptorInvocationContext.proceed(DelegatingInterceptorInvocationContext.java:82) [wildfly-weld-ejb-14.0.1.Final.jar:14.0.1.Final]
        at org.jboss.as.weld.interceptors.EjbComponentInterceptorSupport.delegateInterception(EjbComponentInterceptorSupport.java:60)
        at org.jboss.as.weld.interceptors.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:76)
        at org.jboss.as.weld.interceptors.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:88)
        at org.jboss.as.weld.interceptors.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:101)
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:509)
        at org.ovirt.engine.core.bll.interceptors.CorrelationIdTrackerInterceptor.aroundInvoke(CorrelationIdTrackerInterceptor.java:13) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor61.invoke(Unknown Source) [:1.8.0_191]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_191]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_191]
        at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89)



        at io.undertow.security.handlers.AuthenticationConstraintHandler.handleRequest(AuthenticationConstraintHandler.java:53)
        at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)
        at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)
        at io.undertow.servlet.handlers.security.ServletSecurityConstraintHandler.handleRequest(ServletSecurityConstraintHandler.java:59)
        at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)
        at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)
        at io.undertow.security.handlers.NotificationReceiverHandler.handleRequest(NotificationReceiverHandler.java:50)
        at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)
        at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)
        at org.wildfly.extension.undertow.security.jacc.JACCContextIdHandler.handleRequest(JACCContextIdHandler.java:61)
        at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)
        at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)
        at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:292)
        at io.undertow.servlet.handlers.ServletInitialHandler.access$100(ServletInitialHandler.java:81)
        at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:138)
        at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)
        at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)
        at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)
        at org.wildfly.extension.undertow.security.SecurityContextThreadSetupAction.lambda$create$0(SecurityContextThreadSetupAction.java:105)
        at org.wildfly.extension.undertow.deployment.UndertowDeploymentInfoService$UndertowThreadSetupAction.lambda$create$0(UndertowDeploymentInfoService.java:1502)
        at org.wildfly.extension.undertow.deployment.UndertowDeploymentInfoService$UndertowThreadSetupAction.lambda$create$0(UndertowDeploymentInfoService.java:1502)
        at org.wildfly.extension.undertow.deployment.UndertowDeploymentInfoService$UndertowThreadSetupAction.lambda$create$0(UndertowDeploymentInfoService.java:1502)
        at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:272)
        at io.undertow.servlet.handlers.ServletInitialHandler.access$000(ServletInitialHandler.java:81)
        at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:104)
        at io.undertow.server.Connectors.executeRootHandler(Connectors.java:360)
        at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:830)
        at org.jboss.threads.ContextClassLoaderSavingRunnable.run(ContextClassLoaderSavingRunnable.java:35)
        at org.jboss.threads.EnhancedQueueExecutor.safeRun(EnhancedQueueExecutor.java:1985)
        at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.doRunTask(EnhancedQueueExecutor.java:1487)
        at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1378)
        at java.lang.Thread.run(Thread.java:748) [rt.jar:1.8.0_191]

2018-12-12 18:20:16,310+02 INFO  [org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand] (default task-177) [] Lock freed to object 'EngineLock:{exclusiveLocks='[5decaed2-549e-48c6-9938-305a11e7a0c7=VM, vm_TestCase24989_1218085491=VM_NAME]', sharedLocks='[5decaed2-549e-48c6-9938-305a11e7a0c7=REMOTE_VM]'}'
2018-12-12 18:20:16,333+02 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (default task-177) [] Operation Failed: [General command validation failure.]


Art(automation) REST log:

REST Request to Restore VM 'vm_TestCase24989_1218085491' from ovf file :

2018-12-12 18:20:15,035 - MainThread - art.ll_lib.vms - DEBUG - Restoring vm vm_TestCase24989_1218085491 from ovf file <art.rhevm_api.data_struct.data_structures.Initialization object at 0x7fddac278550>
2018-12-12 18:20:15,037 - MainThread - vms - DEBUG - CREATE request content is --  url:https://storage-ge-08.scl.lab.tlv.redhat.com/ovirt-engine/api/vms body:<vm>
    <name>vm_TestCase24989_1218085491</name>
    <initialization>
        <configuration>
            <data>&lt;?xml version="1.0" encoding="UTF-8"?&gt;&lt;ovf:Envelope xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1/" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" ovf:version="4.1.0.0"&gt;&lt;References&gt;&lt;File ovf:href="7db28b1d-b31a-414e-8833-e59a1dbe2d40/33e0c45c-c5aa-4996-b830-6ac60d9fa9cd" ovf:id="33e0c45c-c5aa-4996-b830-6ac60d9fa9cd" ovf:size="200704" ovf:description="Active VM" ovf:disk_storage_type="IMAGE" ovf:cinder_volume_type=""&gt;&lt;/File&gt;&lt;File ovf:href="67e39e2d-0a2c-4612-8ee2-b113cd2cfeb4/9c7b8a06-6c6d-462b-8777-867f21b4118c" ovf:id="9c7b8a06-6c6d-462b-8777-867f21b4118c" ovf:size="593920" ovf:description="Active VM" ovf:disk_storage_type="IMAGE" ovf:cinder_volume_type=""&gt;&lt;/File&gt;&lt;/References&gt;&lt;NetworkSection&gt;&lt;Info&gt;List of networks&lt;/Info&gt;&lt;Network ovf:name="ovirtmgmt"&gt;&lt;/Network&gt;&lt;/NetworkSection&gt;&lt;Section xsi:type="ovf:DiskSection_Type"&gt;&lt;Info&gt;List of Virtual Disks&lt;/Info&gt;&lt;Disk ovf:diskId="33e0c45c-c5aa-4996-b830-6ac60d9fa9cd" ovf:size="1" ovf:actual_size="0" ovf:vm_snapshot_id="35af7afe-ce91-4e04-8c56-a23e87617548" ovf:parentRef="7db28b1d-b31a-414e-8833-e59a1dbe2d40/33e0c45c-c5aa-4996-b830-6ac60d9fa9cd" ovf:fileRef="7db28b1d-b31a-414e-8833-e59a1dbe2d40/33e0c45c-c5aa-4996-b830-6ac60d9fa9cd" ovf:format="http://www.gnome.org/~markmc/qcow-image-format.html" ovf:volume-format="COW" ovf:volume-type="Sparse" ovf:disk-interface="VirtIO" ovf:read-only="false" ovf:shareable="false" ovf:boot="false" ovf:pass-discard="false" ovf:disk-alias="disk_TestCase24989_1218090883" ovf:disk-description="" ovf:wipe-after-delete="false"&gt;&lt;/Disk&gt;&lt;Disk ovf:diskId="9c7b8a06-6c6d-462b-8777-867f21b4118c" ovf:size="10" ovf:actual_size="0" ovf:vm_snapshot_id="35af7afe-ce91-4e04-8c56-a23e87617548" ovf:parentRef="7db28b1d-b31a-414e-8833-e59a1dbe2d40/33e0c45c-c5aa-4996-b830-6ac60d9fa9cd" ovf:fileRef="67e39e2d-0a2c-4612-8ee2-b113cd2cfeb4/9c7b8a06-6c6d-462b-8777-867f21b4118c" ovf:format="http://www.gnome.org/~markmc/qcow-image-format.html" ovf:volume-format="COW" ovf:volume-type="Sparse" ovf:disk-interface="VirtIO" ovf:read-only="false" ovf:shareable="false" ovf:boot="true" ovf:pass-discard="false" ovf:disk-alias="vm_TestCase24989_1218085491_Disk_0" ovf:disk-description="rhel7.6_ovirt4.3_guest_disk (04aabdc)" ovf:wipe-after-delete="false"&gt;&lt;/Disk&gt;&lt;/Section&gt;&lt;Content ovf:id="out" xsi:type="ovf:VirtualSystem_Type"&gt;&lt;Name&gt;vm_TestCase24989_1218085491&lt;/Name&gt;&lt;Description&gt;&lt;/Description&gt;&lt;Comment&gt;&lt;/Comment&gt;&lt;CreationDate&gt;2018/12/12 16:08:56&lt;/CreationDate&gt;&lt;ExportDate&gt;2018/12/12 16:18:53&lt;/ExportDate&gt;&lt;DeleteProtected&gt;false&lt;/DeleteProtected&gt;&lt;SsoMethod&gt;guest_agent&lt;/SsoMethod&gt;&lt;IsSmartcardEnabled&gt;false&lt;/IsSmartcardEnabled&gt;&lt;NumOfIoThreads&gt;1&lt;/NumOfIoThreads&gt;&lt;TimeZone&gt;Etc/GMT&lt;/TimeZone&gt;&lt;default_boot_sequence&gt;0&lt;/default_boot_sequence&gt;&lt;Generation&gt;10&lt;/Generation&gt;&lt;ClusterCompatibilityVersion&gt;4.3&lt;/ClusterCompatibilityVersion&gt;&lt;VmType&gt;0&lt;/VmType&gt;&lt;ResumeBehavior&gt;AUTO_RESUME&lt;/ResumeBehavior&gt;&lt;MinAllocatedMem&gt;1024&lt;/MinAllocatedMem&gt;&lt;IsStateless&gt;false&lt;/IsStateless&gt;&lt;IsRunAndPause&gt;false&lt;/IsRunAndPause&gt;&lt;AutoStartup&gt;false&lt;/AutoStartup&gt;&lt;Priority&gt;0&lt;/Priority&gt;&lt;CreatedByUserId&gt;2dd1cf8c-f3ad-11e8-b8f8-001a4a169824&lt;/CreatedByUserId&gt;&lt;MigrationSupport&gt;0&lt;/MigrationSupport&gt;&lt;IsBootMenuEnabled&gt;false&lt;/IsBootMenuEnabled&gt;&lt;IsSpiceFileTransferEnabled&gt;true&lt;/IsSpiceFileTransferEnabled&gt;&lt;IsSpiceCopyPasteEnabled&gt;true&lt;/IsSpiceCopyPasteEnabled&gt;&lt;AllowConsoleReconnect&gt;false&lt;/AllowConsoleReconnect&gt;&lt;ConsoleDisconnectAction&gt;LOCK_SCREEN&lt;/ConsoleDisconnectAction&gt;&lt;CustomEmulatedMachine&gt;&lt;/CustomEmulatedMachine&gt;&lt;BiosType&gt;0&lt;/BiosType&gt;&lt;CustomCpuName&gt;&lt;/CustomCpuName&gt;&lt;PredefinedProperties&gt;&lt;/PredefinedProperties&gt;&lt;UserDefinedProperties&gt;&lt;/UserDefinedProperties&gt;&lt;MaxMemorySizeMb&gt;4096&lt;/MaxMemorySizeMb&gt;&lt;MultiQueuesEnabled&gt;true&lt;/MultiQueuesEnabled&gt;&lt;ClusterName&gt;golden_env_mixed_1&lt;/ClusterName&gt;&lt;TemplateId&gt;2e1190f0-0792-4ec0-8c57-882cd06b2f28&lt;/TemplateId&gt;&lt;TemplateName&gt;golden_mixed_virtio_template&lt;/TemplateName&gt;&lt;IsInitilized&gt;true&lt;/IsInitilized&gt;&lt;Origin&gt;3&lt;/Origin&gt;&lt;app_list&gt;ovirt-guest-agent-common-1.0.14-1.20180608132658.gitdcb03c3.el7,kernel-3.10.0-954.el7,kernel-3.10.0-933.el7,qemu-guest-agent-2.12.0&lt;/app_list&gt;&lt;quota_id&gt;1e0335d2-27e1-4344-be81-6a57d4504d2a&lt;/quota_id&gt;&lt;DefaultDisplayType&gt;1&lt;/DefaultDisplayType&gt;&lt;TrustedService&gt;false&lt;/TrustedService&gt;&lt;OriginalTemplateId&gt;2e1190f0-0792-4ec0-8c57-882cd06b2f28&lt;/OriginalTemplateId&gt;&lt;OriginalTemplateName&gt;golden_mixed_virtio_template&lt;/OriginalTemplateName&gt;&lt;UseHostCpu&gt;false&lt;/UseHostCpu&gt;&lt;UseLatestVersion&gt;false&lt;/UseLatestVersion&gt;&lt;StopTime&gt;2018/12/12 16:09:05&lt;/StopTime&gt;&lt;BootTime&gt;2018/12/12 16:09:15&lt;/BootTime&gt;&lt;Downtime&gt;0&lt;/Downtime&gt;&lt;Section ovf:id="5decaed2-549e-48c6-9938-305a11e7a0c7" ovf:required="false" xsi:type="ovf:OperatingSystemSection_Type"&gt;&lt;Info&gt;Guest Operating System&lt;/Info&gt;&lt;Description&gt;rhel_6x64&lt;/Description&gt;&lt;/Section&gt;&lt;Section xsi:type="ovf:VirtualHardwareSection_Type"&gt;&lt;Info&gt;1 CPU, 1024 Memory&lt;/Info&gt;&lt;System&gt;&lt;vssd:VirtualSystemType&gt;ENGINE 4.1.0.0&lt;/vssd:VirtualSystemType&gt;&lt;/System&gt;&lt;Item&gt;&lt;rasd:Caption&gt;1 virtual cpu&lt;/rasd:Caption&gt;&lt;rasd:Description&gt;Number of virtual CPU&lt;/rasd:Description&gt;&lt;rasd:InstanceId&gt;1&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;3&lt;/rasd:ResourceType&gt;&lt;rasd:num_of_sockets&gt;1&lt;/rasd:num_of_sockets&gt;&lt;rasd:cpu_per_socket&gt;1&lt;/rasd:cpu_per_socket&gt;&lt;rasd:threads_per_cpu&gt;1&lt;/rasd:threads_per_cpu&gt;&lt;rasd:max_num_of_vcpus&gt;16&lt;/rasd:max_num_of_vcpus&gt;&lt;rasd:VirtualQuantity&gt;1&lt;/rasd:VirtualQuantity&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&gt;1024 MB of memory&lt;/rasd:Caption&gt;&lt;rasd:Description&gt;Memory Size&lt;/rasd:Description&gt;&lt;rasd:InstanceId&gt;2&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;4&lt;/rasd:ResourceType&gt;&lt;rasd:AllocationUnits&gt;MegaBytes&lt;/rasd:AllocationUnits&gt;&lt;rasd:VirtualQuantity&gt;1024&lt;/rasd:VirtualQuantity&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&gt;disk_TestCase24989_1218090883&lt;/rasd:Caption&gt;&lt;rasd:InstanceId&gt;33e0c45c-c5aa-4996-b830-6ac60d9fa9cd&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;17&lt;/rasd:ResourceType&gt;&lt;rasd:HostResource&gt;7db28b1d-b31a-414e-8833-e59a1dbe2d40/33e0c45c-c5aa-4996-b830-6ac60d9fa9cd&lt;/rasd:HostResource&gt;&lt;rasd:Parent&gt;05046ec0-70ad-47c6-a9a1-dc525b35d82c&lt;/rasd:Parent&gt;&lt;rasd:Template&gt;00000000-0000-0000-0000-000000000000&lt;/rasd:Template&gt;&lt;rasd:ApplicationList&gt;&lt;/rasd:ApplicationList&gt;&lt;rasd:StoragePoolId&gt;938c0bb0-4339-48ba-a3a8-314933fcb68c&lt;/rasd:StoragePoolId&gt;&lt;rasd:CreationDate&gt;2018/12/12 16:18:06&lt;/rasd:CreationDate&gt;&lt;rasd:LastModified&gt;1970/01/01 00:00:00&lt;/rasd:LastModified&gt;&lt;rasd:last_modified_date&gt;2018/12/12 16:18:51&lt;/rasd:last_modified_date&gt;&lt;Type&gt;disk&lt;/Type&gt;&lt;Device&gt;disk&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x08, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-7db28b1d-b31a-414e-8833-e59a1dbe2d40&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&gt;vm_TestCase24989_1218085491_Disk_0&lt;/rasd:Caption&gt;&lt;rasd:InstanceId&gt;9c7b8a06-6c6d-462b-8777-867f21b4118c&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;17&lt;/rasd:ResourceType&gt;&lt;rasd:HostResource&gt;67e39e2d-0a2c-4612-8ee2-b113cd2cfeb4/9c7b8a06-6c6d-462b-8777-867f21b4118c&lt;/rasd:HostResource&gt;&lt;rasd:Parent&gt;6166901f-de05-426a-b9a9-537ce1d30eef&lt;/rasd:Parent&gt;&lt;rasd:Template&gt;22b022bd-82c4-426f-b24d-e24ba0396b23&lt;/rasd:Template&gt;&lt;rasd:ApplicationList&gt;&lt;/rasd:ApplicationList&gt;&lt;rasd:StoragePoolId&gt;938c0bb0-4339-48ba-a3a8-314933fcb68c&lt;
/rasd:StoragePoolId&gt;&lt;rasd:CreationDate&gt;2018/12/12 16:18:07&lt;/rasd:CreationDate&gt;&lt;rasd:LastModified&gt;1970/01/01 00:00:00&lt;/rasd:LastModified&gt;&lt;rasd:last_modified_date&gt;2018/12/12 16:18:
51&lt;/rasd:last_modified_date&gt;&lt;Type&gt;disk&lt;/Type&gt;&lt;Device&gt;disk&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x07, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&
gt;1&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-67e39e2d-0a2c-4612-8ee2-b113cd2cfeb4&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&
gt;Ethernet adapter on ovirtmgmt&lt;/rasd:Caption&gt;&lt;rasd:InstanceId&gt;238b78c0-f932-4786-9f4f-1cb1a0afaab8&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;10&lt;/rasd:ResourceType&gt;&lt;rasd:OtherResource
Type&gt;ovirtmgmt&lt;/rasd:OtherResourceType&gt;&lt;rasd:ResourceSubType&gt;3&lt;/rasd:ResourceSubType&gt;&lt;rasd:Connection&gt;ovirtmgmt&lt;/rasd:Connection&gt;&lt;rasd:Linked&gt;true&lt;/rasd:Linked&gt;&lt;ra
sd:Name&gt;nic1&lt;/rasd:Name&gt;&lt;rasd:ElementName&gt;nic1&lt;/rasd:ElementName&gt;&lt;rasd:MACAddress&gt;00:1a:4a:16:25:ee&lt;/rasd:MACAddress&gt;&lt;rasd:speed&gt;10000&lt;/rasd:speed&gt;&lt;Type&gt;interfa
ce&lt;/Type&gt;&lt;Device&gt;bridge&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x03, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt
;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-238b78c0-f932-4786-9f4f-1cb1a0afaab8&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&gt;USB Controller&lt;/rasd:Caption&gt;&lt;rasd
:InstanceId&gt;3&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;23&lt;/rasd:ResourceType&gt;&lt;rasd:UsbPolicy&gt;DISABLED&lt;/rasd:UsbPolicy&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&gt;Graphical Controller
&lt;/rasd:Caption&gt;&lt;rasd:InstanceId&gt;119c3d5d-cc30-4712-abd0-e7f0e22bb4b8&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;20&lt;/rasd:ResourceType&gt;&lt;rasd:VirtualQuantity&gt;1&lt;/rasd:VirtualQuantity
&gt;&lt;rasd:SinglePciQxl&gt;false&lt;/rasd:SinglePciQxl&gt;&lt;Type&gt;video&lt;/Type&gt;&lt;Device&gt;qxl&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x02, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd
:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-119c3d5d-cc30-4712-abd0-e7f0e22bb4b8&lt;/Alias&gt;&lt;SpecParams&gt;&lt;vgamem&gt;16384&lt;/vgamem&gt;&lt;heads&gt;1&lt;/heads&gt;&lt;vram&gt;32768&lt;/vram&gt;&lt;ram&gt;65536&lt;/ram&gt;&lt;/SpecParams&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&gt;Graphical Framebuffer&lt;/rasd:Caption&gt;&lt;rasd:InstanceId&gt;0060f9be-4e15-4a0c-a1bc-dbd03da95d3f&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;26&lt;/rasd:ResourceType&gt;&lt;Type&gt;graphics&lt;/Type&gt;&lt;Device&gt;spice&lt;/Device&gt;&lt;rasd:Address&gt;&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:Caption&gt;CDROM&lt;/rasd:Caption&gt;&lt;rasd:InstanceId&gt;78b0c3e0-1a09-430e-a521-bb1614eb81d4&lt;/rasd:InstanceId&gt;&lt;rasd:ResourceType&gt;15&lt;/rasd:ResourceType&gt;&lt;Type&gt;disk&lt;/Type&gt;&lt;Device&gt;cdrom&lt;/Device&gt;&lt;rasd:Address&gt;{type=drive, bus=1, controller=0, target=0, unit=0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;true&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-78b0c3e0-1a09-430e-a521-bb1614eb81d4&lt;/Alias&gt;&lt;SpecParams&gt;&lt;path&gt;&lt;/path&gt;&lt;/SpecParams&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;a0d8417f-c6c8-489b-9f1c-faf7873058a6&lt;/rasd:InstanceId&gt;&lt;Type&gt;controller&lt;/Type&gt;&lt;Device&gt;ide&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x01, bus=0x00, domain=0x0000, function=0x1}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ide&lt;/Alias&gt;&lt;SpecParams&gt;&lt;index&gt;0&lt;/index&gt;&lt;/SpecParams&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;086ba81e-507e-41bd-a7e1-5745584bd1d2&lt;/rasd:InstanceId&gt;&lt;Type&gt;channel&lt;/Type&gt;&lt;Device&gt;spicevmc&lt;/Device&gt;&lt;rasd:Address&gt;{type=virtio-serial, bus=0, controller=0, port=3}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;channel2&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;18b524a1-4da2-4e03-8c4d-ace2329c5ddb&lt;/rasd:InstanceId&gt;&lt;Type&gt;channel&lt;/Type&gt;&lt;Device&gt;unix&lt;/Device&gt;&lt;rasd:Address&gt;{type=virtio-serial, bus=0, controller=0, port=1}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;channel0&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;3885a2e6-c20d-45df-927f-2595c50f8699&lt;/rasd:InstanceId&gt;&lt;Type&gt;channel&lt;/Type&gt;&lt;Device&gt;unix&lt;/Device&gt;&lt;rasd:Address&gt;{type=virtio-serial, bus=0, controller=0, port=2}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;channel1&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;ea835816-acc2-4eed-a58f-894dc7ce02d7&lt;/rasd:InstanceId&gt;&lt;Type&gt;controller&lt;/Type&gt;&lt;Device&gt;usb&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x01, bus=0x00, domain=0x0000, function=0x2}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;usb&lt;/Alias&gt;&lt;SpecParams&gt;&lt;index&gt;0&lt;/index&gt;&lt;model&gt;piix3-uhci&lt;/model&gt;&lt;/SpecParams&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;cd0a28bd-f923-4230-bb2d-7a5355c60cce&lt;/rasd:InstanceId&gt;&lt;Type&gt;sound&lt;/Type&gt;&lt;Device&gt;ich6&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x04, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;true&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-cd0a28bd-f923-4230-bb2d-7a5355c60cce&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;5353c4aa-0130-49b3-9cc1-92e392c7aaea&lt;/rasd:InstanceId&gt;&lt;Type&gt;rng&lt;/Type&gt;&lt;Device&gt;virtio&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x0a, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-5353c4aa-0130-49b3-9cc1-92e392c7aaea&lt;/Alias&gt;&lt;SpecParams&gt;&lt;source&gt;urandom&lt;/source&gt;&lt;/SpecParams&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;33dd0e6b-0b2b-40c2-82fa-4b7d1695cfc5&lt;/rasd:InstanceId&gt;&lt;Type&gt;balloon&lt;/Type&gt;&lt;Device&gt;memballoon&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x09, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;true&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-33dd0e6b-0b2b-40c2-82fa-4b7d1695cfc5&lt;/Alias&gt;&lt;SpecParams&gt;&lt;model&gt;virtio&lt;/model&gt;&lt;/SpecParams&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;e0931506-5a45-4c68-a34d-e5f2d98fb320&lt;/rasd:InstanceId&gt;&lt;Type&gt;controller&lt;/Type&gt;&lt;Device&gt;virtio-serial&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x06, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-e0931506-5a45-4c68-a34d-e5f2d98fb320&lt;/Alias&gt;&lt;/Item&gt;&lt;Item&gt;&lt;rasd:ResourceType&gt;0&lt;/rasd:ResourceType&gt;&lt;rasd:InstanceId&gt;6175cda9-6bda-464a-8d40-a7257a7f018a&lt;/rasd:InstanceId&gt;&lt;Type&gt;controller&lt;/Type&gt;&lt;Device&gt;virtio-scsi&lt;/Device&gt;&lt;rasd:Address&gt;{type=pci, slot=0x05, bus=0x00, domain=0x0000, function=0x0}&lt;/rasd:Address&gt;&lt;BootOrder&gt;0&lt;/BootOrder&gt;&lt;IsPlugged&gt;true&lt;/IsPlugged&gt;&lt;IsReadOnly&gt;false&lt;/IsReadOnly&gt;&lt;Alias&gt;ua-6175cda9-6bda-464a-8d40-a7257a7f018a&lt;/Alias&gt;&lt;SpecParams&gt;&lt;ioThreadId&gt;&lt;/ioThreadId&gt;&lt;/SpecParams&gt;&lt;/Item&gt;&lt;/Section&gt;&lt;/Content&gt;&lt;/ovf:Envelope&gt;</data>
            <type>ovf</type>
        </configuration>
    </initialization>
    <cluster href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef" id="e9953518-fe81-4a42-b2a4-fc06e1a1a3ef">
        <actions>
            <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/syncallnetworks" rel="syncallnetworks"/>
            <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/resetemulatedmachine" rel="resetemulatedmachine"/>
        </actions>
        <name>golden_env_mixed_1</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/networkfilters" rel="networkfilters"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/networks" rel="networks"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/cpuprofiles" rel="cpuprofiles"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/externalnetworkproviders" rel="externalnetworkproviders"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/affinitygroups" rel="affinitygroups"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/glusterhooks" rel="glusterhooks"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/glustervolumes" rel="glustervolumes"/>
        <link href="/ovirt-engine/api/clusters/e9953518-fe81-4a42-b2a4-fc06e1a1a3ef/enabledfeatures" rel="enabledfeatures"/>
        <ballooning_enabled>false</ballooning_enabled>
        <cpu>
            <architecture>x86_64</architecture>
            <type>Intel Nehalem Family</type>
        </cpu>
        <custom_scheduling_policy_properties>
            <property>
                <name>HighUtilization</name>
                <value>80</value>
            </property>
            <property>
                <name>CpuOverCommitDurationMinutes</name>
                <value>2</value>
            </property>
        </custom_scheduling_policy_properties>
        <error_handling>
            <on_error>migrate</on_error>
        </error_handling>
        <fencing_policy>
            <enabled>true</enabled>
            <skip_if_connectivity_broken>
                <enabled>false</enabled>
                <threshold>50</threshold>
            </skip_if_connectivity_broken>
            <skip_if_gluster_bricks_up>false</skip_if_gluster_bricks_up>

            <skip_if_gluster_quorum_not_met>false</skip_if_gluster_quorum_not_met>
            <skip_if_sd_active>
                <enabled>false</enabled>
            </skip_if_sd_active>
        </fencing_policy>
        <firewall_type>firewalld</firewall_type>
        <gluster_service>false</gluster_service>
        <ha_reservation>false</ha_reservation>
        <ksm>
            <enabled>false</enabled>
            <merge_across_nodes>true</merge_across_nodes>
        </ksm>
        <log_max_memory_used_threshold>95</log_max_memory_used_threshold>
        <log_max_memory_used_threshold_type>percentage</log_max_memory_used_threshold_type>
        <maintenance_reason_required>false</maintenance_reason_required>
        <memory_policy>
            <over_commit>
                <percent>100</percent>
            </over_commit>
            <transparent_hugepages>
                <enabled>true</enabled>
            </transparent_hugepages>
        </memory_policy>
        <migration>
            <auto_converge>inherit</auto_converge>
            <bandwidth>
                <assignment_method>auto</assignment_method>
            </bandwidth>
            <compressed>inherit</compressed>
        </migration>
        <optional_reason>false</optional_reason>
        <required_rng_sources>
            <required_rng_source>urandom</required_rng_source>
        </required_rng_sources>
        <switch_type>legacy</switch_type>
        <threads_as_cores>false</threads_as_cores>
        <trusted_service>false</trusted_service>
        <tunnel_migration>false</tunnel_migration>
        <version>
            <major>4</major>
            <minor>3</minor>
        </version>
        <virt_service>true</virt_service>
        <data_center href="/ovirt-engine/api/datacenters/938c0bb0-4339-48ba-a3a8-314933fcb68c" id="938c0bb0-4339-48ba-a3a8-314933fcb68c"/>
        <mac_pool href="/ovirt-engine/api/macpools/58ca604b-017d-0374-0220-00000000014e" id="58ca604b-017d-0374-0220-00000000014e"/>
        <scheduling_policy href="/ovirt-engine/api/schedulingpolicies/b4ed2332-a7ac-4d5f-9596-99a439cb2812" id="b4ed2332-a7ac-4d5f-9596-99a439cb2812"/>
    </cluster>
</vm>

REST Response:
2018-12-12 18:20:15,038 - MainThread - vms - INFO - Using Correlation-Id: vms_create_295dd716-2019-41f5
2018-12-12 18:20:16,338 - MainThread - vms - DEBUG - Cleaning Correlation-Id: vms_create_295dd716-2019-41f5
2018-12-12 18:20:16,338 - MainThread - api_utils - ERROR - Failed to create element NOT as expected:
        Status: 500
        Reason: Internal Server Error
        Detail: [General command validation failure.]

2018-12-12 18:20:16,339 - MainThread - vms - ERROR - Response code is not valid, expected is: [200, 201, 202], actual is: 500 


Version-Release number of selected component (if applicable):
Software Version:4.3.0-0.2.master.20181128141347.git38908dd.el7

How reproducible:
100%

Steps to Reproduce:

ALL done via REST API ONLY:

1. Create VM1 + disk and write some data
2. Create the 1st snapshot(preserving active layer), write some data and create a 2nd snapshot and write additional data
3. Power off VM
4. Get VM OVF configuration data from the 2nd snapshot.
5. Remove VM1
6. Restore VM1 from OVF info

Actual results:
Restore VM1 from OVF fails with NPE.

Expected results:
Restore VM1 from OVF should succeed.

Additional info:
Same issue is seen in 4.2.8-0.1.el7ev so no obios regression seen so far.

Comment 1 Avihai 2018-12-17 15:15:57 UTC
The cause for this issue is that the VM was created from a template with thin copy  -> this issue does NOT occur using "clone" AKA deep copy.

A simpler scenario which reproduced the issue:

1) Create VM1 from a template with thin copy
2) Create snapshot
3) Get VM1 OVF configuration data from the snapshot.
4) remove VM1
5) Restore VM1 from OVF info

Comment 2 Elad 2018-12-17 15:18:14 UTC
Even though this doesn't seem to be a regression, as this is the basic flow of backup restore api, re-targeting to 4.2.8 and proposing as a blocker for it.

Comment 6 Avihai 2018-12-18 07:26:23 UTC
Created attachment 1515224 [details]
4.2.8-0.1 reproduction logs

Comment 7 Avihai 2018-12-26 15:51:39 UTC
Created attachment 1516932 [details]
new art log with latest reproduction REST request and response

Comment 8 shani 2018-12-31 13:09:21 UTC
The original test case dealt with a VM created from the template as a clone (independent of the template) till recently and changed to thin (dependent of the template) and then started failing.
This is not a regression and thus not a blocker.

Regarding the test case scenario of importing a thin VM from OVF data:
When removing the thin provisioned VM, it removes the VM disks permanently instead of detaching them as they are dependent on the template disks.

Comment 9 Avihai 2019-02-27 11:20:32 UTC
Verified on ovirt-engine Software Version:4.3.1.1-0.1.el7

Comment 10 Sandro Bonazzola 2019-03-01 10:17:47 UTC
This bugzilla is included in oVirt 4.3.1 release, published on February 28th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.1 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.